Package org.eclipse.emf.cdo.lm.assembly

# Interface Assembly

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`

All Known Implementing Classes:
  `AssemblyImpl`

public interface Assembly extends ModelElement
A representation of the model object 'Assembly'.

See Also:
  - `AssemblyPackage.getAssembly()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `System Name`
  - `Modules`
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`Assembly.DeltaHandler`
A callback interface to be used with `Assembly.compareTo()`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`compareTo(Assembly newAssembly, Assembly.DeltaHandler handler)`
`void`
`forEachDependency(Consumer<AssemblyModule> consumer)`
`AssemblyModule`
`getModule(String moduleName)`
`EList<AssemblyModule>`
`getModules()`
Returns the value of the 'Modules' containment reference list.
`AssemblyModule`
`getRootModule()`
`String`
`getSystemName()`
Returns the value of the 'System Name' attribute.
`void`
`setSystemName(String value)`
Sets the value of the '`System Name`' attribute.
`default void`
`sortModules()`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getSystemName

String getSystemName()
Returns the value of the 'System Name' attribute.

Returns:
  the value of the 'System Name' attribute.
See Also:
  - `setSystemName(String)`
  - `AssemblyPackage.getAssembly_SystemName()`
Generated
Model
  required="true"

### setSystemName

void setSystemName(String value)
Sets the value of the '`System Name`' attribute.

Parameters:
  `value` - the new value of the 'System Name' attribute.
See Also:
  - `getSystemName()`
Generated

### getModules

EList<AssemblyModule> getModules()
Returns the value of the 'Modules' containment reference list. The list contents are of type `AssemblyModule`. It is bidirectional and its opposite is '`Assembly`'.

Returns:
  the value of the 'Modules' containment reference list.
See Also:
  - `AssemblyPackage.getAssembly_Modules()`
  - `AssemblyModule.getAssembly()`
Generated
Model
  opposite="assembly" containment="true" extendedMetaData="name='module' kind='element'"

### getRootModule

AssemblyModule getRootModule()

### getModule

AssemblyModule getModule(String moduleName)

### forEachDependency

void forEachDependency(Consumer<AssemblyModule> consumer)

### compareTo

boolean compareTo(Assembly newAssembly, Assembly.DeltaHandler handler)

### sortModules

default void sortModules()